package routers

import (
	"git.kingpenguin.tk/chteufleur/datahouse.git/controllers"
	"git.kingpenguin.tk/chteufleur/datahouse.git/models/variables"
	"github.com/astaxie/beego"
)

func init() {
	beego.Router(variables.RootRoute, &controllers.MainController{})

	beego.Router(variables.AddTempRoute, &controllers.AddTempController{})
	beego.Router(variables.AddRelayRoute, &controllers.AddRelayController{})

	beego.Router(variables.ViewTempRoute, &controllers.ViewTempController{})
	beego.Router(variables.ViewRelaysRoute, &controllers.ViewRelayController{})
	beego.Router(variables.ViewRelayRoute, &controllers.ViewRelayController{})

	beego.Router(variables.CommandRelayRoute, &controllers.CommandRelayController{})

	beego.Router(variables.SensorsRoute, &controllers.SensorsController{})
	beego.Router(variables.LoginRoute, &controllers.LoginController{})
	beego.Router(variables.UserRoute, &controllers.UserController{})
}
